const db = require('../models')
const UAParser = require('ua-parser-js')
const { v4: uuidv4 } = require('uuid')

const DataLogs = db.dataLogs

const newLogs = async (req, res) => {
    try {
        const userAgent = req.headers['user-agent']
        const ipAddress = req.ip
        const parser = new UAParser();
        const result = parser.setUA(userAgent).getResult();

        let toSave = {
            id: uuidv4(),
            ipAddress: ipAddress,
            browser: JSON.stringify(result.browser),
            engine: JSON.stringify(result.engine),
            os: JSON.stringify(result.os),
            device: JSON.stringify(result.device)
        }
        
        DataLogs.create(toSave)
            .then(() => {
                return res.status(200).send(true)
            }).catch((error) => {
                return res.status(400).send({
                  statusCode: 400,
                  message: error
                })
              })
    } catch (error) {
        // Handle errors
        console.error('Error:', error.message);
        res.status(500).json({ error: 'Internal Server Error' });
    }
}

module.exports = {
    newLogs
}