const db = require('../models')
const { v4: uuidv4 } = require('uuid')
const { Op } = require('sequelize')
const config = require('../config')[process.env.NODE_ENV || 'development']
const log = config.log()

// Create Main Model

const UserToTeam = db.userToTeams
const User = db.users
const Team = db.teams
const UserDetail = db.userDetails

// Create
const addEdit = async (req, res) => {
 try {
  let users = []

  const existing = await UserToTeam.findAll({ where: {
    teamId: req.body.teamId,
    deletedAt: null
  }})

  await req.body.users.forEach(user => {
    const isFound = existing.some((existingUser) => {
      return existingUser.brgyKey === user.brgyKey ? true : false
    })

    if (isFound) {
      let index = existing.findIndex(({ userId }) => userId === user.brgyKey)
      existing.splice(index, 1)
    } else {
      let info = {
        id: uuidv4(),
        teamId: req.body.teamId,
        userId: user.brgyKey,
       }
       
       UserToTeam.create(info)
        .then((UserToTeam) => {
          users.push(UserToTeam)
       }).catch((error) => {
         log.fatal(error)
         return res.status(400).send({
           statusCode: 400,
           message: error
         })
       })
    }
  })

  await existing.forEach((user) => {
    UserToTeam.destroy({
      where: { userId: user.brgyKey }
     })
  })

  return res.status(200).send(users)
 
 } catch (error) {
  log.fatal(error)
  return res.status(400).send({
   statusCode: 400,
   message: error
  })
 }
}

const getByTeam = async (req, res) => {
  try {
    UserToTeam.findAll({ where: {
      teamId: req.body.teamId,
      deletedAt: null
    },
    include: [
      { model: User, as: 'teamuser', nested: true },
      { model: Team, as: 'team', nested: true }
    ]}).then((userToTeam) => {
      return res.status(200).send(userToTeam)
    })
  } catch (error) {
    log.fatal(error)
    return res.status(400).send({
     statusCode: 400,
     message: error
    })
   }
}

module.exports = {
  addEdit,
  getByTeam
}