module.exports = (sequelize, DataTypes) => {
  const Banner = sequelize.define('banner', {
    id: {
      type: DataTypes.UUID,
      unique: true
    },
    brgyKey: {
      type: DataTypes.INTEGER,
      autoIncrement: true,
      primaryKey: true
    },
    title: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    sequence: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    description: {
      type: DataTypes.TEXT('long'),
      allowNull: true
    },
    attachments: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    imageOnly: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    disabled: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    fromDate: {
      type: DataTypes.DATE,
      allowNull: true
    },
    toDate: {
      type: DataTypes.DATE,
      allowNull: true
    },
    btnText: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    btnLink: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    btnType: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    createdAt: {
      type: DataTypes.DATE,
      defaultValue: DataTypes.NOW
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'Banner',
    paranoid: true
  })

  return Banner
}