module.exports = (sequelize, DataTypes) => {
  const Business = sequelize.define('business', {
    id: {
      type: DataTypes.UUID,
      unique: true
    },
    brgyKey: {
      type: DataTypes.INTEGER,
      autoIncrement: true,
      primaryKey: true
    },
    name: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    sequence: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    images: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    description: {
      type: DataTypes.TEXT('long'),
      allowNull: true
    },
    longintude: {
      type: DataTypes.DOUBLE(11, 10),
      allowNull: true
    },
    latitude: {
      type: DataTypes.DOUBLE(11, 10),
      allowNull: true
    },
    disabled: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    contact: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    ownerId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    approved: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    approvedBy: {
      type: DataTypes.STRING,
      allowNull: true
    },
    approvedOn: {
      type: DataTypes.DATE,
      allowNull: true
    },
    rejected: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    rejectionNotes: {
      type: DataTypes.STRING,
      allowNull: true
    },
    rejectedBy: {
      type: DataTypes.STRING,
      allowNull: true
    },
    createdAt: {
      type: DataTypes.DATE,
      defaultValue: DataTypes.NOW
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'Business',
    paranoid: true
  })

  Business.associate = (models) => {
    Business.belongsTo(models.userDetail, {
      foreignKey: 'ownerId',
      targetKey: 'brgyKey'
    })
  }

  return Business
}