module.exports = (sequelize, DataTypes) => {
    const CarSticker = sequelize.define('carSticker', {
      id: {
        type: DataTypes.UUID,
        unique: true
      },
      brgyKey: {
        type: DataTypes.INTEGER,
        autoIncrement: true,
        primaryKey: true
      },
      name: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      address: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      contactNumber: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      otherDrivers: {
        type: DataTypes.TEXT('long'),
        allowNull: true
      },
      vehiclePlateNumber: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      vehicleConductionStickerNumber: {
        type: DataTypes.STRING,
        allowNull: true,
      },
      vehicleModel: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      requestedById: {
        type: DataTypes.INTEGER,
        allowNull: true
      },
      orcr: {
        type: DataTypes.TEXT,
        allowNull: true
      },
      vehiclePhoto: {
        type: DataTypes.TEXT,
        allowNull: true
      },
      createdAt: {
        type: DataTypes.DATE,
        defaultValue: DataTypes.NOW
      },
      updatedAt: {
        type: DataTypes.DATE,
        allowNull: true
      },
      deletedAt: {
        type: DataTypes.DATE,
        allowNull: true
      },
      status: {
        type: DataTypes.STRING,
        allowNull: true
      },
      statusUpdatedBy: {
        type: DataTypes.STRING,
        allowNull: true
      },
      statusUpdatedOn: {
        type: DataTypes.DATE,
        allowNull: true
      },
      statusUpdatedNotes: {
        type: DataTypes.STRING,
        allowNull: true
      }
    }, {
      sequelize,
      modelName: 'carSticker',
      paranoid: true
    })
  
    CarSticker.associate = (models) => {
      CarSticker.belongsTo(models.userDetail, {
        foreignKey: 'requestedById',
        targetKey: 'brgyKey'
      })
    }
  
    return CarSticker
  }