module.exports = (sequelize, DataTypes) => {
  const DataOptionType = sequelize.define('dataOptionType', {
    id: {
      type: DataTypes.UUID,
      unique: true
    },
    brgyKey: {
      type: DataTypes.INTEGER,
      autoIncrement: true,
      primaryKey: true
    },
    name: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    code: {
      type: DataTypes.STRING,
      allowNull: false
    },
    description: {
      type: DataTypes.TEXT('long'),
      allowNull: true
    },
    disabled: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    createdAt: {
      type: DataTypes.DATE,
      defaultValue: DataTypes.NOW
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'DataOptionType',
    paranoid: true
  })

  DataOptionType.associate = (models) => {
    DataOptionType.belongsTo(models.dataOption, {
      foreignKey: 'dataOptionTypeId',
      targetKey: 'brgyKey'
    })
  }

  return DataOptionType
}