module.exports = (sequelize, DataTypes) => {
  const Emergency = sequelize.define('emergency', {
    id: {
      type: DataTypes.UUID,
      unique: true
    },
    brgyKey: {
      type: DataTypes.INTEGER,
      autoIncrement: true,
      primaryKey: true
    },
    requestForAmbulance: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    requestForFirstAid: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    requestForFireBrigade: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    requestForTanodPolice: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    others: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    homeAddress: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    location: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    description: {
      type: DataTypes.TEXT('long'),
      allowNull: true
    },
    emergencyById: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    resolved: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    createdAt: {
      type: DataTypes.DATE,
      defaultValue: DataTypes.NOW
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true
    },
    resolvedBy: {
      type: DataTypes.STRING,
      allowNull: true
    },
    resolvedOn: {
      type: DataTypes.DATE,
      allowNull: true
    },
    rejected: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    rejectionNotes: {
      type: DataTypes.STRING,
      allowNull: true
    },
    rejectedBy: {
      type: DataTypes.STRING,
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'Emergency',
    paranoid: true
  })

  Emergency.associate = (models) => {
    Emergency.belongsTo(models.userDetail, {
      foreignKey: 'emergencyById',
      targetKey: 'brgyKey'
    })

  }

  return Emergency
}