module.exports = (sequelize, DataTypes) => {
  const Region = sequelize.define('region', {
    id: {
      type: DataTypes.UUID,
      unique: true
    },
    brgyKey: {
      type: DataTypes.INTEGER,
      autoIncrement: true,
      primaryKey: true
    },
    name: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    code: {
      type: DataTypes.STRING,
      allowNull: false
    },
    countryId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    description: {
      type: DataTypes.TEXT('long'),
      allowNull: true
    },
    disabled: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    createdAt: {
      type: DataTypes.DATE,
      defaultValue: DataTypes.NOW
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'Region',
    paranoid: true
  })

  Region.associate = (models) => {
    Region.belongsTo(models.country, {
      foreignKey: 'countryId',
      targetKey: 'brgyKey'
    })

    Region.hasMany(models.city, { onDelete: 'SET NULL', onUpdate: 'CASCADE' })
  }

  return Region
}