module.exports = (sequelize, DataTypes) => {
  const RequestDocument = sequelize.define('requestDocument', {
    id: {
      type: DataTypes.UUID,
      unique: true
    },
    brgyKey: {
      type: DataTypes.INTEGER,
      autoIncrement: true,
      primaryKey: true
    },
    ticketNumber: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    documentCategoryId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    yearsOfStay: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    monthsOfStay: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    purposeId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    purposeOthers: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    civilStatusId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    annualIncome: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    citizenship: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    userPhoto: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    cedulaPhoto: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    remarks: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    requestedById: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    requestedOn: {
      type: DataTypes.DATE,
      allowNull: true
    },
    statusId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    createdAt: {
      type: DataTypes.DATE,
      defaultValue: DataTypes.NOW
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'RequestDocument',
    paranoid: true
  })

  RequestDocument.associate = (models) => {
    RequestDocument.belongsTo(models.dataOption, {
      foreignKey: 'documentCategoryId',
      targetKey: 'brgyKey'
    })

    RequestDocument.belongsTo(models.dataOption, {
      foreignKey: 'statusId',
      targetKey: 'brgyKey'
    })

    RequestDocument.belongsTo(models.dataOption, {
      foreignKey: 'civilStatusId',
      targetKey: 'brgyKey'
    })

    RequestDocument.belongsTo(models.dataOption, {
      foreignKey: 'purposeId',
      targetKey: 'brgyKey'
    })

    RequestDocument.belongsTo(models.userDetail, {
      foreignKey: 'requestedById',
      targetKey: 'brgyKey'
    })
  }

  return RequestDocument
}