'use strict'

module.exports = (sequelize, DataTypes) => {
    const Team = sequelize.define('team', {
        id: {
            type: DataTypes.UUID,
            unique: true
        },
        brgyKey: {
            type: DataTypes.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        name: {
            type: DataTypes.STRING,
            allowNull: false
        },
        code: {
            type: DataTypes.STRING,
            allowNull: false
        },
        description: {
            type: DataTypes.TEXT('long'),
            allowNull: true
        },
        disabled: {
            type: DataTypes.BOOLEAN,
            allowNull: true
        },
        monday: {
            type: DataTypes.BOOLEAN,
            allowNull: true
        },
        tuesday: {
            type: DataTypes.BOOLEAN,
            allowNull: true
        },
        wednesday: {
            type: DataTypes.BOOLEAN,
            allowNull: true
        },
        thursday: {
            type: DataTypes.BOOLEAN,
            allowNull: true
        },
        friday: {
            type: DataTypes.BOOLEAN,
            allowNull: true
        },
        saturday: {
            type: DataTypes.BOOLEAN,
            allowNull: true
        },
        sunday: {
            type: DataTypes.BOOLEAN,
            allowNull: true
        },
        createdAt: {
            type: DataTypes.DATE,
            defaultValue: DataTypes.NOW
        },
        updatedAt: {
            type: DataTypes.DATE,
            allowNull: true
        },
        deletedAt: {
            type: DataTypes.DATE,
            allowNull: true
        }
    }, {
        sequelize,
        paranoid: true
    })

    return Team
}