module.exports = (sequelize, DataTypes) => {
  const UserDetail = sequelize.define('userdetail', {
    id: {
      type: DataTypes.UUID,
      unique: true
    },
    brgyKey: {
      type: DataTypes.INTEGER,
      autoIncrement: true,
      primaryKey: true
    },
    lastName: {
      type: DataTypes.STRING,
      allowNull: false
    },
    firstName: {
      type: DataTypes.STRING,
      allowNull: false
    },
    middleName: {
      type: DataTypes.STRING,
      allowNull: true
    },
    suffix: {
      type: DataTypes.STRING,
      allowNull: true
    },
    birthDate: {
      type: DataTypes.DATE,
      allowNull: false
    },
    genderId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    unitNumber: {
      type: DataTypes.STRING,
      allowNull: true
    },
    provinceId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    streetId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    barangayId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    cityId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    regionId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    countryId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    natureOfStayId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    otherUnitNumber: {
      type: DataTypes.STRING,
      allowNull: true
    },
    otherSubStreet: {
      type: DataTypes.STRING,
      allowNull: true
    },
    otherStreet: {
      type: DataTypes.STRING,
      allowNull: true
    },
    otherBarangay: {
      type: DataTypes.STRING,
      allowNull: true
    },
    otherCity: {
      type: DataTypes.STRING,
      allowNull: true
    },
    otherRegion: {
      type: DataTypes.STRING,
      allowNull: true
    },
    otherCountryId: {
      type: DataTypes.STRING,
      allowNull: true
    },
    businessName: {
      type: DataTypes.STRING,
      allowNull: true
    },
    businessOwner: {
      type: DataTypes.STRING,
      allowNull: true
    },
    mobile: {
      type: DataTypes.STRING,
      allowNull: true
    },
    photo: {
      type: DataTypes.STRING,
      allowNull: true
    },
    verification: {
      type: DataTypes.STRING,
      allowNull: true
    },
    bric: {
      type: DataTypes.STRING(9),
      allowNull: true,
    },
    loginId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    brgyVoter: {
      type: DataTypes.BOOLEAN,
      allowNull: true
    },
    precinct: {
      type: DataTypes.STRING,
      allowNull: true
    },
    createdAt: {
      type: DataTypes.DATE,
      defaultValue: DataTypes.NOW
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'UserDetail',
    paranoid: true
  })

  UserDetail.associate = (models) => {
    UserDetail.belongsTo(models.user, {
      foreignKey: 'loginId',
      targetKey: 'brgyKey'
    })
    UserDetail.belongsTo(models.dataOption, {
      foreignKey: 'genderId',
      targetKey: 'brgyKey'
    })
    // UserDetail.belongsTo(models.dataOption, {
    //  foreignKey: 'provinceId',
    //  targetKey: 'brgyKey'
    // })
    UserDetail.belongsTo(models.barangay, {
      foreignKey: 'barangayId',
      targetKey: 'brgyKey'
    })
    UserDetail.belongsTo(models.city, {
      foreignKey: 'cityId',
      targetKey: 'brgyKey'
    })
    UserDetail.belongsTo(models.region, {
      foreignKey: 'regionId',
      targetKey: 'brgyKey'
    })
    UserDetail.belongsTo(models.country, {
      foreignKey: 'countryId',
      targetKey: 'brgyKey'
    })
    UserDetail.belongsTo(models.dataOption, {
      foreignKey: 'natureOfStayId',
      targetKey: 'brgyKey'
    })
  }

  return UserDetail
}