const barangayController = require('../controllers/barangay.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Add
router.post('/', authenticateToken, barangayController.add)

// Get All (For Admin)
router.get('/search', authenticateToken, barangayController.getAll)

// Get All (Not Disabled)
router.get('/', authenticateToken, barangayController.get)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, barangayController.getFiltered)

// Get One
router.get('/:id', authenticateToken, barangayController.getOne)

// Update One
router.put('/:id', authenticateToken, barangayController.update)

// Delete
router.delete('/:id', authenticateToken, barangayController.remove)

module.exports = router