const cityController = require('../controllers/city.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Add
router.post('/', authenticateToken, cityController.add)

// Get All (For Admin)
router.get('/search', authenticateToken, cityController.getAll)

// Get All (Not Disabled)
router.get('/', authenticateToken, cityController.get)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, cityController.getFiltered)

// Get One
router.get('/:id', authenticateToken, cityController.getOne)

// Update One
router.put('/:id', authenticateToken, cityController.update)

// Delete
router.delete('/:id', authenticateToken, cityController.remove)

module.exports = router