const countryController = require('../controllers/country.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Add
router.post('/', authenticateToken, countryController.add)

// Get All
router.get('/search', authenticateToken, countryController.getAll)

// Get All
router.get('/', authenticateToken, countryController.get)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, countryController.getFiltered)

// Get One
router.get('/:id', authenticateToken, countryController.getOne)

// Update One
router.put('/:id', authenticateToken, countryController.update)

// Delete
router.delete('/:id', authenticateToken, countryController.remove)

module.exports = router