const dataOptionController = require('../controllers/dataOption.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Add
router.post('/', authenticateToken, dataOptionController.add)

// Get All
router.get('/search', authenticateToken, dataOptionController.getAll)

// Get All Enabled
router.get('/', authenticateToken, dataOptionController.get)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, dataOptionController.getFiltered)

// Get One
router.get('/:id', authenticateToken, dataOptionController.getOne)

// Update One
router.put('/:id', authenticateToken, dataOptionController.update)

// Delete
router.delete('/:id', authenticateToken, dataOptionController.remove)

module.exports = router