const dataOptionTypeController = require('../controllers/dataOptionType.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Add
router.post('/', authenticateToken, dataOptionTypeController.add)

// Get All
router.get('/search', authenticateToken, dataOptionTypeController.getAll)

// Get All Enabled
router.get('/', authenticateToken, dataOptionTypeController.get)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, dataOptionTypeController.getFiltered)

// Get One
router.get('/:id', authenticateToken, dataOptionTypeController.getOne)

// Update One
router.put('/:id', authenticateToken, dataOptionTypeController.update)

// Delete
router.delete('/:id', authenticateToken, dataOptionTypeController.remove)

module.exports = router