const EmergencyController = require('../controllers/emergency.controller')
const { authenticateToken } = require('../services/authenticate.service')
const config = require('../config')[process.env.NODE_ENV || 'development']
const log = config.log()
const router = require('express').Router()

// Add
router.post('/', authenticateToken, EmergencyController.add)

// Get All (For Admin)
router.get('/search', authenticateToken, EmergencyController.getAll)

// Get All (Not Disabled)
router.get('/', authenticateToken, EmergencyController.get)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, EmergencyController.getFiltered)

// Get One
router.get('/:id', authenticateToken, EmergencyController.getOne)

// Update One
router.put('/:id', authenticateToken, EmergencyController.update)

// Delete
router.delete('/:id', authenticateToken, EmergencyController.remove)

// Reject Emergency
router.post('/reject/:id', authenticateToken, EmergencyController.rejectEmergency)

// Approve Emergency
router.post('/resolve/:id', authenticateToken, EmergencyController.resolveEmergency)

module.exports = router