const feController = require('../controllers/fe.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// POST
router.post('/:type', authenticateToken, feController.fePost)

// GET ALL (Deleted = False / Inactive = False)
router.get('/:type', authenticateToken, feController.feGet)

// GET ALL (Deleted = False / Inactive = False)
router.get('/details/:type/:id', feController.feGetOne)

// GET (Admin Consumptions) - Pagination
router.post('/search/:type', authenticateToken, feController.feGetAll)

// GET FILTERED (Admin Consumptions) - Pagination
router.post('/filter/:type', authenticateToken, feController.feGetAllFiltered)

// PUT
router.put('/:type/:id', authenticateToken, feController.fePut)

// DELETE
router.delete('/:type/:id', authenticateToken, feController.feDelete)

// POST CUSTOM EMAIL
router.post('/custom-email/custom', authenticateToken, feController.sendCustomEmail)

// POST CUSTOM EMAIL REJECTION
router.post('/custom-email/rejection', authenticateToken, feController.sendRejectionEmail)

module.exports = router