const regionController = require('../controllers/region.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Add
router.post('/', authenticateToken, regionController.add)

// Get All (For Admin)
router.get('/search', authenticateToken, regionController.getAll)

// Get All (Not Disabled)
router.get('/', authenticateToken, regionController.get)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, regionController.getFiltered)

// Get One
router.get('/:id', authenticateToken, regionController.getOne)

// Update One
router.put('/:id', authenticateToken, regionController.update)

// Delete
router.delete('/:id', authenticateToken, regionController.remove)

module.exports = router