const passwordController = require('../controllers/password.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Update Password (Authenticated) By Admin
router.post('/admin', authenticateToken, passwordController.updateAdmin)

// Update Password (Authenticated) By User
router.post('/user', authenticateToken, passwordController.updateUser)

// Update Password (Unauthenticated)
router.post('/login', passwordController.resetPassword)

module.exports = router