const roleController = require('../controllers/role.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Add
router.post('/', authenticateToken, roleController.add)

// Get All (For Admin)
router.get('/search', authenticateToken, roleController.getAll)

// Get All (Not Disabled)
router.get('/', authenticateToken, roleController.get)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, roleController.getFiltered)

// Get One
router.get('/:id', authenticateToken, roleController.getOne)

// Update One
router.put('/:id', authenticateToken, roleController.update)

// Delete
router.delete('/:id', authenticateToken, roleController.remove)

module.exports = router