const teamController = require('../controllers/team.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Add
router.post('/', authenticateToken, teamController.add)

// Get All
router.get('/search', authenticateToken, teamController.getAll)

// Get All Enabled
router.get('/', authenticateToken, teamController.get)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, teamController.getFiltered)

// Get One
router.get('/:id', authenticateToken, teamController.getOne)

// Update One
router.put('/:id', authenticateToken, teamController.update)

// Delete
router.delete('/:id', authenticateToken, teamController.remove)

module.exports = router