const userDetailController = require('../controllers/userDetail.controller')
const { authenticateToken } = require('../services/authenticate.service')
const router = require('express').Router()

// Add
router.post('/', authenticateToken, userDetailController.add)

// Get All (For Admin)
router.get('/search', authenticateToken, userDetailController.getAll)

// Get All (Not Disabled)
router.get('/', authenticateToken, userDetailController.get)

// Get Unverified
router.get('/unverified', authenticateToken, userDetailController.getUnverified)

//Get Unverified and Rejected
router.get('/unverifiedRejected', authenticateToken, userDetailController.getUnverifiedAndRejected)

// Get Filtered (Admin)
router.post('/filter', authenticateToken, userDetailController.getFiltered)

// Get One
router.get('/:id', authenticateToken, userDetailController.getOne)

// Update One
router.put('/:id', authenticateToken, userDetailController.update)

// Delete
router.delete('/:id', authenticateToken, userDetailController.remove)

// check
router.get('/check/:brgyKey', authenticateToken, userDetailController.getUserDetailByUserBrgyKey)

module.exports = router