
const jwt = require('jsonwebtoken')
const refreshTokensList = []

function authenticateToken(req, res, next) {
 const authHeader = req.headers['authorization']
 const token = authHeader && authHeader.split(' ')[1]

 const authHeader2 = req.headers['authorization2']
 const refreshtoken = authHeader2 && authHeader2.split(' ')[1]

 if (token == null) {
  delete refreshTokensList[refreshtoken]
  return res.sendStatus(401)
 }

 jwt.verify(token, process.env.ACCESS_TOKEN_SECRET, (err, user) => {
  if (err) {
    delete refreshTokensList[refreshtoken]
    return res.sendStatus(401)
  }
  req.user = user
  next()
 })
}

function reEvaluateRefreshToken(token, res) {
  if (token == null) {
    delete refreshTokensList[refreshToken]
    return res.sendStatus(401)
  }
 
  jwt.verify(token, process.env.REFRESH_TOKEN_SECRET, (err, refreshToken) => {
   if (err) {
    delete refreshTokensList[refreshToken]
    return res.sendStatus(401)
  }
    const user = {
      id: refreshTokensList[token].id,
      email: refreshTokensList[token].email,
      password: refreshTokensList[token].password,
      role: refreshTokensList[token].role
    }
    const newToken = generateAccessToken(user)
    const newrefreshToken = generateAccessRefreshToken(user)
    user.token = newToken
    refreshTokensList[newrefreshToken] = user

    delete refreshTokensList[refreshToken]
    return res.status(200).send({
      token: newToken,
      refreshToken: newrefreshToken
    })
  })
 }

function generateTokens(user) {
  const token = generateAccessToken(user)
  const refreshToken = generateAccessRefreshToken(user)
  user.token = token
  refreshTokensList[refreshToken] = user
  return {
   accessToken: token,
   refreshToken: refreshToken
  }
}

function doLogout(req, res) {
  refreshToken = req.body.refreshToken
  delete refreshTokensList[refreshToken]
  res.sendStatus(200)
}

function generateAccessToken(user) {
  return jwt.sign(user, process.env.ACCESS_TOKEN_SECRET, { expiresIn: '59m' })
}

function generateAccessRefreshToken(user) {
  return jwt.sign(user, process.env.REFRESH_TOKEN_SECRET, { expiresIn: '59m' })
}

module.exports = { authenticateToken, reEvaluateRefreshToken, generateTokens, doLogout }