const db = require('../models')
const config = require('../config')[process.env.NODE_ENV || 'development']
const log = config.log()
const RequestDocument = db.requestDocument

module.exports = {
 saveCertificate: (request) => {
   return new Promise((resolve, reject) => {
     RequestDocument.create(request)
     .then((data) => {
       log.info('Request document saved with ID:', data.id)
       resolve(data.dataValues)
     }).catch((error) => {
       log.fatal('Could not save certificate (saveCertificate):', error)
       reject()
     })
   })
 },
 saveCedula: (request) => {
  return new Promise((resolve, reject) => {
   RequestDocument.create(request)
     .then((data) => {
       log.info('Request document saved with ID:', data.id)
       resolve(data.dataValues)
     }).catch((error) => {
       log.fatal('Could not save cedula (saveCedula):', error)
       reject()
     })
   })
 }
}